{
  "name": "tools-cli",
  "version": "1.0.0",
  "main": "index.js",
  "license": "EUPL-1.2",
  "private": true,
  "scripts": {
    "audit": "audit-ci --moderate --skip-dev",
    "build": "rimraf dist && tsc --build",
    "lint-staged": "lint-staged",
    "lint": "yarn lint:eslint && yarn lint:tsc && yarn lint:prettier",
    "lint:eslint": "eslint . --ext .js,.ts",
    "lint:tsc": "tsc --noEmit --incremental false",
    "lint:prettier": "prettier . --check",
    "program:appRegistration:dev": "ts-node programs/appRegistration",
    "program:appRegistration": "node dist/programs/appRegistration",
    "prometheus:dev": "ts-node prometheus/index",
    "prometheus": "node dist/prometheus/index",
    "start:dev": "ts-node src/index",
    "start": "node dist/src/index",
    "test": "NO_CHALK=true jest --runInBand --verbose",
    "test:essentials": "NO_CHALK=true jest --testPathPattern=essentials.spec.ts --runInBand --verbose",
    "test:did": "NO_CHALK=true jest --testPathPattern=did.spec.ts --runInBand --verbose",
    "test:did-old": "NO_CHALK=true jest --testPathPattern=did-old.spec.ts --runInBand --verbose",
    "test:timestamp": "NO_CHALK=true jest --testPathPattern=timestamp.spec.ts --runInBand --verbose",
    "test:tsr": "NO_CHALK=true jest --testPathPattern=tsr.spec.ts --runInBand --verbose",
    "test:tir": "NO_CHALK=true jest --testPathPattern=tir.spec.ts --runInBand --verbose",
    "test:tar": "NO_CHALK=true jest --testPathPattern=tar.spec.ts --runInBand --verbose",
    "test:tpr": "NO_CHALK=true jest --testPathPattern=tpr.spec.ts --runInBand --verbose",
    "test:notifications": "NO_CHALK=true jest --testPathPattern=notifications.spec.ts --runInBand --verbose",
    "test:datahub": "NO_CHALK=true jest --testPathPattern=datahub.spec.ts --runInBand --verbose",
    "test:storage": "NO_CHALK=true jest --testPathPattern=storage.spec.ts --runInBand --verbose",
    "test:ledger": "NO_CHALK=true jest --testPathPattern=ledger.spec.ts --runInBand --verbose",
    "test:onboarding": "NO_CHALK=true jest --testPathPattern=onboarding.spec.ts --runInBand --verbose",
    "test:authorisation": "NO_CHALK=true jest --testPathPattern=authorisation.spec.ts --runInBand --verbose",
    "test:authorisation-old": "NO_CHALK=true jest --testPathPattern=authorisation-old.spec.ts --runInBand --verbose",
    "test:conformance-old": "NO_CHALK=true jest --testPathPattern=conformance-old.spec.ts --runInBand --verbose",
    "test:accredit-and-authorize": "NO_CHALK=true jest --testPathPattern=accredit-and-authorize.spec.ts --runInBand --verbose",
    "test:holder-wallet": "NO_CHALK=true jest --testPathPattern=holder-wallet.spec.ts --runInBand --verbose",
    "test:issue-to-holder": "NO_CHALK=true jest --testPathPattern=issue-to-holder.spec.ts --runInBand --verbose",
    "test:verifier": "NO_CHALK=true jest --testPathPattern=verifier.spec.ts --runInBand --verbose"
  },
  "dependencies": {
    "@apidevtools/json-schema-ref-parser": "^9.1.0",
    "@cef-ebsi/ebsi-did-resolver": "^3.1.0",
    "@cef-ebsi/oauth2-auth": "^2.3.0",
    "@cef-ebsi/siop-auth": "^3.1.0",
    "@cef-ebsi/verifiable-credential": "^4.4.1",
    "@cef-ebsi/verifiable-presentation": "^5.3.1",
    "@cef-ebsi/wallet-lib": "^4.1.0",
    "axios": "^1.4.0",
    "canonicalize": "^1.0.8",
    "cassandra-driver": "^4.6.4",
    "chalk": "^4.1.2",
    "did-jwt": "^6.10.1",
    "did-resolver": "^4.1.0",
    "dotenv": "^16.0.3",
    "elliptic": "^6.5.4",
    "ethers": "^5.7.2",
    "fastify": "^4.17.0",
    "form-data": "^4.0.0",
    "https-proxy-agent": "^5.0.0",
    "joi": "^17.9.2",
    "jose": "^4.14.4",
    "lodash.set": "^4.3.2",
    "multiformats": "^9.6.4",
    "multihashes": "^4.0.3",
    "prom-client": "^14.2.0",
    "qs": "^6.11.2"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.6.3",
    "@commitlint/config-conventional": "^17.6.3",
    "@tsconfig/node14": "^1.0.3",
    "@types/jest": "^27.4.1",
    "@types/lodash.set": "^4.3.6",
    "@types/node": "^14.17.17",
    "@types/qs": "^6.9.7",
    "@typescript-eslint/eslint-plugin": "^5.59.7",
    "@typescript-eslint/parser": "^5.59.7",
    "audit-ci": "^6.6.1",
    "eslint": "^8.41.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-airbnb-typescript": "^17.0.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-prettier": "^4.2.1",
    "husky": "^8.0.3",
    "jest": "^27.5.1",
    "jest-html-reporter": "^3.10.0",
    "jest-sonar": "^0.2.16",
    "lint-staged": "^13.2.2",
    "prettier": "^2.8.8",
    "ts-jest": "^27.1.4",
    "ts-node": "^10.9.1",
    "typescript": "4.9.4"
  }
}
